Debian Bug report logs - #706458
ITP: inotify-hookable -- blocking command-line interface to inotify

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: dod@debian.org

Date: Tue, 30 Apr 2013 12:09:02 UTC

Owned by: Dominique Dumont <dod@debian.org>

Severity: wishlist

Fixed in version inotify-hookable/0.7-1

Done: Dominique Dumont <dod@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, Dominique Dumont <dod@debian.org>:
Bug#706458; Package wnpp. (Tue, 30 Apr 2013 12:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, Dominique Dumont <dod@debian.org>. (Tue, 30 Apr 2013 12:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: inotify-hookable -- blocking command-line interface to inotify
Date: Tue, 30 Apr 2013 13:58:58 +0200
Package: wnpp
Owner: Dominique Dumont <dod@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

* Package name    : inotify-hookable
  Version         : 0.7
  Upstream Author : �var Arnfj�r� Bjarmason <avar@cpan.org>
* URL             : http://search.cpan.org/dist/App-Inotify-Hookable/
* License         : Artistic or GPL-1+
  Programming Lang: FIXME
  Description     : blocking command-line interface to inotify

inotify-hookable is a program that monitor files with Linux inotify. This
program accepts options to specify the files to be monitored and the command
to run when a file has changed (based in kernel inotify)

Example:

 inotify-hookable -f foo.c -c 'gcc -o foo foo.c'


-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Dumont <dod@debian.org>:
Bug#706458; Package wnpp. (Wed, 01 May 2013 06:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helmut Grohne <helmut@subdivi.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Dumont <dod@debian.org>. (Wed, 01 May 2013 06:54:07 GMT) Full text and rfc822 format available.

Message #10 received at 706458@bugs.debian.org (full text, mbox):

From: Helmut Grohne <helmut@subdivi.de>
To: dod@debian.org, 706458@bugs.debian.org
Subject: Re: Bug#706458: ITP: inotify-hookable -- blocking command-line interface to inotify
Date: Wed, 1 May 2013 08:51:09 +0200
On Tue, Apr 30, 2013 at 01:58:58PM +0200, Dominique Dumont wrote:
>   Description     : blocking command-line interface to inotify
> 
> inotify-hookable is a program that monitor files with Linux inotify. This
> program accepts options to specify the files to be monitored and the command
> to run when a file has changed (based in kernel inotify)
> 
> Example:
> 
>  inotify-hookable -f foo.c -c 'gcc -o foo foo.c'

Can you briefly explain its relation to the existing package
inotify-tools and why another implementation is needed? Prospective
users searching for an inotify tool, will likely see both. How do they
decide which one fits their needs?

Helmut



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706458; Package wnpp. (Wed, 01 May 2013 10:45:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <dod@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 May 2013 10:45:17 GMT) Full text and rfc822 format available.

Message #15 received at 706458@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: Helmut Grohne <helmut@subdivi.de>, 706458@bugs.debian.org
Subject: Re: Bug#706458: ITP: inotify-hookable -- blocking command-line interface to inotify
Date: Wed, 1 May 2013 12:42:30 +0200
[Message part 1 (text/plain, inline)]
Le Wednesday 01 May 2013 08:51:09, Helmut Grohne a écrit :
> Can you briefly explain its relation to the existing package
> inotify-tools and why another implementation is needed?

inotify-hookable main advantage over inotywait are:
- you can specify command to run after watch as option
- inotify-hookable ignore emacs and backup files by default

> Prospective
> users searching for an inotify tool, will likely see both. How do they
> decide which one fits their needs?

You're right. I'll add the text above in the description.

All the best

Dominique
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 18 May 2013 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Dominique Dumont <dod@debian.org>:
You have taken responsibility. (Thu, 30 May 2013 16:03:38 GMT) Full text and rfc822 format available.

Notification sent to dod@debian.org:
Bug acknowledged by developer. (Thu, 30 May 2013 16:03:38 GMT) Full text and rfc822 format available.

Message #22 received at 706458-close@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 706458-close@bugs.debian.org
Subject: Bug#706458: fixed in inotify-hookable 0.7-1
Date: Thu, 30 May 2013 16:00:55 +0000
Source: inotify-hookable
Source-Version: 0.7-1

We believe that the bug you reported is fixed in the latest version of
inotify-hookable, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706458@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominique Dumont <dod@debian.org> (supplier of updated inotify-hookable package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 May 2013 10:11:20 +0200
Source: inotify-hookable
Binary: inotify-hookable
Architecture: source all
Version: 0.7-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Dominique Dumont <dod@debian.org>
Description: 
 inotify-hookable - blocking command-line interface to inotify
Closes: 706458
Changes: 
 inotify-hookable (0.7-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #706458)
Checksums-Sha1: 
 7c6be91c42ad31a285a02ebdb99a5239c7ba7fd2 2202 inotify-hookable_0.7-1.dsc
 753704add16be592f86d5af4132da1d807186ead 16814 inotify-hookable_0.7.orig.tar.gz
 afe2085820bf31ac17a6d127df38016f367958f4 2034 inotify-hookable_0.7-1.debian.tar.gz
 4ee6ca8c59ff2c6c722bb9a63f4d7f0b01005ef2 12732 inotify-hookable_0.7-1_all.deb
Checksums-Sha256: 
 fce10f69907deef68ca57f35ef579d2b718ab18128957c2af135a9d1e77f26c1 2202 inotify-hookable_0.7-1.dsc
 38f0d00094aa7d49ec152ab6230c4d6800db1a919f34d39a10122722897b46af 16814 inotify-hookable_0.7.orig.tar.gz
 17a9ad12e5b9ba08f93d29985ebafcc9c4323d11d7275921ccd17ac9fff34ea0 2034 inotify-hookable_0.7-1.debian.tar.gz
 a7b41280c8649f9b76113d888b7de4a98ce1317463d2a0105a819c378b982017 12732 inotify-hookable_0.7-1_all.deb
Files: 
 daa722b52e74ffd7c4a5e9b753cbe7de 2202 perl optional inotify-hookable_0.7-1.dsc
 e9f8a4ca76d713ca007a25855d5f81af 16814 perl optional inotify-hookable_0.7.orig.tar.gz
 2cc63002b7a70effffd283bc6c6ba9d4 2034 perl optional inotify-hookable_0.7-1.debian.tar.gz
 4c582905d3791f94f7508c82d1338b26 12732 perl optional inotify-hookable_0.7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRl1BEAAoJEMMfT9lJqytsMEQP/jmXKNv2w4gxDufHNQ3kcZB5
/voNTc0GhxNxAx+CV+/s7d0KjkBwcO3S9P7Hm+KNYWlQzQ4Q/79sO/S9g8zfEvXp
5m1kc3jNidqt3V98LaO07ftTmbs4ToScbZUFO1+M41eLzySqQyfito5HbHPw4Sqd
1/Uny7EmCUW1TC3MtCxJeyVrmJNsx15iaEqYQF/uTwpeu5xZIlgXmzWWvqoACBr7
5vN+10AqxhZeEj9So3U2Gu7WvGEnPBmFfzSOGkOeI+mbicPE1m9rehDXHTT9ITlx
fmOtpmWvebWb2ffJ9rKfwCX7xPkr8EuOMKZUyMxv0pnePE0J3dUhLU4L+f4+n22k
TuPKay3ZeqCnesJeZA9lX2pAjAMT7oa3TviMK22+m045dDJbCAXJ9NL4NXEc5AB5
FkEiVCG9gOpGGf0tCaU6HbDqk/gJ8BmrYy1G2mxuL9N27gF71hao50Q4WLa9s9AB
IURuDMUg8xoKtIjUCcGU6C6rPU/WKQBo5vCQ+AzlyEeGC7VPUc11+fQYr4XOM6Oo
3/V1ZiVy0joSMnSnDE+HY7H0Rojez0x1hq4cuzhrgGLGcb/B+kGdWmk16SMQADwf
C4eHedMto+XrtVwdOKWpC9LR+JvSAadwySjKB3leHOq0ymW9IkjISTu2Qf5yoNhd
Yn5QilIlcs1cQTpdgIGN
=qpgr
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Jun 2013 07:37:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:45:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.